#
# spec file for package abseil-cpp
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define src_install_dir /usr/src/%{name}

Name:           abseil-cpp
Version:        20190808
Release:        bp154.1.22
Summary:        C++11 libraries which augment the C++ stdlib
License:        Apache-2.0
URL:            https://abseil.io/
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}-rpmlintrc
BuildRequires:  fdupes
ExcludeArch:    %ix86

%description
Abseil is a collection of C++11 libraries which augment the C++
standard library. It also provides features incorporated into C++14
and C++17 standards.

%package source
Summary:        Source code of Abseil

%description source
Source code of Abseil, a collection of C++11 libraries
which augment the C++ standard library. It also provides
features incorporated into C++14 and C++17 standards.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{src_install_dir}
cp -r * %{buildroot}%{src_install_dir}
%fdupes %{buildroot}%{src_install_dir}

%files source
%license LICENSE
%doc README.md
%{src_install_dir}

%changelog
* Thu Jan 16 2020 Michał Rostecki <mrostecki@opensuse.org>
- Remove all packages except source.
* Tue Jan 14 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Set ExcludeArch: %%ix86: bazel is required to build which in turn
  is not supported on ix86.
* Wed Dec 18 2019 Swaminathan Vasudevan <svasudevan@suse.com>
- Update to version 20190808
* Sat Nov 23 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Sort find output to make build reproducible (boo#1041090)
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Mon Sep 23 2019 mrostecki@opensuse.org
- Update to version 20190605:
  * avoid use of undefined ABSL_HAVE_ELF_MEM_IMAGE
  * Avoid undefined behavior when nullptr is passed to memcpy with size 0
  * CMake: Set correct flags for clang-cl
  * Adding linking of CoreFoundation to CMakeLists in absl/time as
    time_zone_lookup.cc includes CoreFoundation
  * Implement Span::first and Span::last from C++20
  * Changed HTTP URLs to HTTPS where possible
  * Fix GCC8 warnings
  * Fix library order for Conan package
  * _umul128 is not available on Windows ARM64
  * Add note at top that this is supported best-effort
  * Update Conan author
  * Add Conan topics
  * Remove cctz as external dependency
  * Add Conan recipe
* Thu Sep 19 2019 Michał Rostecki <mrostecki@opensuse.org>
- Add source package.
* Wed Jul 24 2019 Michał Rostecki <mrostecki@opensuse.org>
- Use bazel0.19 as build fails with the latest bazel (0.26)
* Thu Mar  7 2019 Michal Rostecki <mrostecki@opensuse.org>
- Add soname to all *.so* files.
* Thu Feb 28 2019 Michał Rostecki <mrostecki@opensuse.org>
- Fix build with Bazel 0.22.0.
- Add optflags.
* Fri Jan 18 2019 Guillaume GARDET <guillaume.gardet@opensuse.org>
- Fix aarch64 and ppc64 builds
* Wed Dec 12 2018 Jan Engelhardt <jengelh@inai.de>
- Trim redundancies from description.
* Thu Nov 29 2018 Michał Rostecki <mrostecki@suse.de>
- Update to version 20181127:
  * Export of internal Abseil changes. -- 15d7bcf28220750db46930f4d8c090b54e3ae5fe by Jon Cohen <cohenjon@google.com>:
  * Export of internal Abseil changes. -- 5278e56bd7d322ecf161eaf29fd7fa3941d7431b by Greg Falcon <gfalcon@google.com>:
- Switch from CMake to Bazel
* Mon Nov 19 2018 Michał Rostecki <mrostecki@suse.de>
- Update to version 20181116:
  * Export of internal Abseil changes. -- da04b8cd21f6225d71397471474d34a77df0efd6 by Jon Cohen <cohenjon@google.com>:
  * Export of internal Abseil changes. -- 5f1ab09522226336830d9ea6ef7276d37f536ac5 by Abseil Team <absl-team@google.com>:
  * Export of internal Abseil changes. -- 07575526242a8e1275ac4223a3d2822795f46569 by CJ Johnson <johnsoncj@google.com>:
  * Export of internal Abseil changes. -- 178e7a9a76fc8fcd6df6335b59139cbe644a16b9 by Jon Cohen <cohenjon@google.com>:
  * Export of internal Abseil changes. -- ee19e203eca970ff88e8f25ce4e19c32e143b988 by Jon Cohen <cohenjon@google.com>:
  * Export of internal Abseil changes. -- 4e224c85c3730398919fc5195cb1fc7a752e6e4f by Mark Barolak <mbar@google.com>:
  * Export of internal Abseil changes. -- 9e8aa654630015ea8221703b0ea10dd1a47a848f by Abseil Team <absl-team@google.com>:
  * Export of internal Abseil changes. -- ba4dd47492748bd630462eb68b7959037fc6a11a by Abseil Team <absl-team@google.com>:
  * Fix compilation of generic byteswap routines
  * Fix absl::container on VS2017 v15.8 (#192)
